-- USDP Sample code
-- Program to take segment and enable signals from PIC

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity feed_pic is
    Port ( 
			Rst_in 		: in std_logic;
			MCLR		: out std_logic;
    	   	seg_in 		: in std_logic_vector(6 downto 0);
           	en_in 		: in std_logic_vector(3 downto 0);
           	seg	 		: out std_logic_vector(6 downto 0);
           	en	 		: out std_logic_vector(3 downto 0));
end feed_pic;

architecture Behavioral of feed_pic is

begin
	MCLR	<= Rst_in;

	seg		<= seg_in;
	en		<= en_in;

end Behavioral;
