/* 	toggles all ports
*/

#include <reg51.h>
#include <intrins.h>

typedef unsigned char Uchar ;
typedef unsigned int  Uint ;
typedef unsigned long Ulong ;
typedef unsigned char uchar ;
typedef unsigned int  uint ;
typedef unsigned long ulong ;
#define   TR0_RELOAD (-921)

Uint  count;
Uchar digit;

void timer0(void)
interrupt 1 using 1
{
  	count++;
	TH0 = (Uchar)(TR0_RELOAD>>8);
	TL0 = (Uchar)TR0_RELOAD;				 // reload
}
void delay(Uint n)
{
	n = count + n;
   while (n != count);
}

void io_open(void)
{
	TMOD = 0x21;
	TH0  = (Uchar)(TR0_RELOAD>>8);
	TL0  = (Uchar)TR0_RELOAD;
   TR0  = 1;
	IE   = 0x82; 								// IE: timer0
   TR1  = 0;
}

void main(void)
{
	 io_open();
	 while(1) 
    {
		P0 = ~P0;
		delay(10);
		P1 = ~P1;
		delay(10);
		P2 = ~P2;
		delay(10);

	}
}
